Betterbird 102.3.2-bb19 (64-Bit) flatpak Linux Mint 19.3: Signaturen Text/Grafik funktionieren nicht

  • Hi,


    in der genannten Installation funktionieren die hinterlegten Signaturen der einzelnen Konten (8 an der Zahl) nicht- sowohl Text als auch Grafik nicht.
    Auch das Anhängen einer (Signatur-) Grafik erzeugt keinen Anhang.


    Kann das jemand bestätigen?
    Oder eine Idee, welche Parameter das verhindern?

    Danke im Voraus.

  • khmer

    Changed the title of the thread from “Betterbird 102.3.2-bb19 (64-Bit) Linux Mint 19.3 flatpak: Signaturen Text/Grafik funktionieren nicht” to “Betterbird 102.3.2-bb19 (64-Bit) flatpak Linux Mint 19.3: Signaturen Text/Grafik funktionieren nicht”.
  • Danke für die schnelle Antwort!!

    Was der Link beschreibt funktioniert auch in meiner Installation, entzieht sich aber völllig meinem Verständnis.

    Warum soll BB nicht auf den Original-Ort der Grafik zugreifen können/dürfen (Berechtiungen sind identisch) ?


    Habe ich richtig verstanden, daß es einen Workaround darstellt, nicht die eigentliche Lösung?

  • Das Linux Paket von BB Webseite funktioniert auch mit Mint weil ich habe selber Mint

    ist halt nur manuell downloaden und den Ordner an der gewünschte stelle entpacken mehr ist es nicht.

  • Das Linux Paket von BB Webseite funktioniert auch mit Mint weil ich habe selber Mint

    ist halt nur manuell downloaden und den Ordner an der gewünschte stelle entpacken mehr ist es nicht.

    Gibts eine Anleitung dazu? Ich hab mich schon oft gefragt, wie solche Pakete zu installieren sind.
    Wohin muß der Ordner entpackt werden, wie wird ein Starter fürs Menu erzeugt, wo stehen die BB-Profile?

  • Das müssten mal die Linux-Leute beantworten. Entpacken kannst Du, wohin Du willst, denn Du dann. desktop entsprechend anpasst oder der Ordner im $PATH ist. Wie der Starter ins Menü kommt, weiß ich nicht. .desktop files gibt's hier

    thunderbird-patches/eu.betterbird.Betterbird.desktop at main · Betterbird/thunderbird-patches
    Betterbird is a fork of Mozilla Thunderbird. Here are the patches that provide all the goodness. - thunderbird-patches/eu.betterbird.Betterbird.desktop at main…
    github.com

    und hier:

    betterbird.desktop - aur.git - AUR Package Repositories


    BB benutzt die TB-Profile, siehe: https://www.betterbird.eu/support/

  • Das Linux Paket von BB Webseite funktioniert auch mit Mint weil ich habe selber Mint

    ist halt nur manuell downloaden und den Ordner an der gewünschte stelle entpacken mehr ist es nicht.

    Gibts eine Anleitung dazu? Ich hab mich schon oft gefragt, wie solche Pakete zu installieren sind.
    Wohin muß der Ordner entpackt werden, wie wird ein Starter fürs Menu erzeugt, wo stehen die BB-Profile?

    Hallo

    Du findest hier eine YouTube Anleitung für Firefox, diese funktioniert genau gleich auch für BB.
    Das einzige, was du machen musst, ist die .desktop Datei anpassen

    Ich habe dir mal meine angehängt, der Rest ist im Video beschrieben.

    Noch etwas BB hat keine automatischen Updates, bei einer neuen Version musst du diese herunterladen und wieder in das selbe Verzeichnis entpacken.


    LG Mirco

  • Linux Mint 19.3

    Cinnamon 4.4.8

    Kernel 5.4.0-128-generic


    Danke für Eure Hinweise und den youtube Link!


    Firefox und Thunderbird lassen sich so in beliebigen Versionen installieren.

    Mit Betterbird funktioniert das nicht.


    Im Gegensatz zu den beiden anderen Produkten startet nach dem Entpacken die Programmdatei (ausführbar) betterbird den Mailclient nicht.

    Im Terminal ins Verzeichnis des entpackten BB und dort "betterbird" oder "betterbird %u" bringt: Kommando nicht gefunden.


    Trotzdem bin ich dem Tutorial weiter gefolgt und habe den Symlink angelegt, was den Start aus dem Terminal ermöglichen soll.

    So erhalte ich eine Fehlermeldung, von der ich aber nicht weiß, ob sie etwas mit dem eigentlichen Problem zu tun hat.

    Und falls doch: Was ist zu tun, um die erforderliche Version zur Verfügung zu stellen?


    Vermute ich richtig, daß BB 102.4.1-bb22 nicht mit LMC 19.3 lauffähig ist?

    Sondern nur mit LMC 20.3?


    Edit: Auch betterbird-91.13.1-bb37.de.linux-x86_64 startet nicht.

    Edited once, last by khmer ().

  • BTW

    Wird es nicht bald Zeit LM 19.3 zu ersetzen, weil der Support dafür wird im April 2023 eingestellt. Nach dem Update auf eine neue Version wird es dann auch mit BB ohne Probleme funktionieren.

    Gruss Marimo

  • Das klingt so wie eine Drohung. Wir können nicht einen ganzen Zoo von Alt-Systemen unterstützen, schon gar nicht umsonst. Und ein nicht-zahlender Kunde mit einem alten System ändert unsere Ausrichtung nicht.

    Ich drohe niemandem, das steht mir gar nicht zu, ich bin frustriert über eure Einstellung, wie sie sich im von mir zitierten Thread zeigt.


    Ein aktuell gewartetes LTS als Altsystem zu bezeichnen finde ich anmaßend.


    Ich nutze ein LTS bis zum Ende seines Lebenszyklus, um dann auf das nächste, ausgereifte LTS zu wechseln. Wenn ihr jeweils noch gewartete LTS zum Bau einer Linux Version von BB nähmt, wären die nicht per se aufwärtskompatibel?


    Mein Rechner ist ein Arbeitsgerät. Ich experimentiere gerne, aber in Grenzen. Anwendungen selbst kompilieren und Abhängigkeiten auflösen ist da jenseits.


    Auf die Frage, ob GLIBC 2.31 in LM 19.3 nachinstalliert werden kann, wurde gar nicht eingegangen. Ist das unmöglich und die Frage naiv? Der oben zitierte Thread vom Nov 2021 beantwortet mir die Frage nicht, weil ich kein Entwickler bin. Ich verstehe nur, daß die Leute da "ihren eigenen BB" für ihre "alte Umgebung" kompilieren.


    Im Fall BB bieten snap, flatpak, appimage nicht die erhoffte Lösung.


    Mit dem Wartungsende von XP bin ich zu Linux gewechselt. Seither ist mir eine Einstellung wie Eure (bzw Deine) nicht mehr begegnet, fremd geworden.

    Deswegen sag ich aus Frust: Dann wars das mit BB. Wenns mal ein funktionierendes Linux-BB zu kaufen gibt, dann überleg ich noch mal. Bis dahin ist BB halt Win-SW.

    Edited 2 times, last by khmer ().

  • Auf die Frage, ob GLIBC 2.31 in LM 19.3 nachinstalliert werden kann, wurde gar nicht eingegangen.

    Hallo :)


    Du weißt aber schon, dass hier ein Thunderbird- und kein Linux-Forum ist? Wie wäre es, wenn Du Dich selbst informierst?

    Dann wars das mit BB.

    Das interessiert weder jorgk3 noch uns TB/BB-User die Bohne. Reisende soll man nicht aufhalten.


    Gruß Ingo

  • Auf die Frage, ob GLIBC 2.31 in LM 19.3 nachinstalliert werden kann, wurde gar nicht eingegangen. Ist das unmöglich und die Frage naiv?

    Es ist meines Wissens nach unmöglich. Das TB-Build funktioniert mit älteren GLIBC-Bibliotheken, die wenden da irgendeinen Trick an, den wir bei BB nicht im Programm haben.

  • @TE

    Wie Ingo schon geschrieben hat, dies ist ein Forum für ein Email-Programm und nicht für eine Linux Distribution.

    Die Libs glibc und libc6 sind der rote Faden eines Linux OS, das kann man nicht mal eben ändern.

    Da Du nun so gar keine Ahnung hast, solltest Du in einem Mint-Forum nachfragen, und Dich vor allen Dingen mit solchen Aussagen zurückhalten:

    Quote

    Bis dahin ist BB halt Win-SW.

    Das ist eine grobe Unhöflichkeit dem Entwickler gegenüber, der sehr wohl in der Lage ist, seine Software auch für ein Linux Betriebssystem zu entwickeln und zur Verfügung zu stellen.